Skip to content

Render Chart (SVG)

GET
/api/chart/image.svg

Render an astrological chart as SVG image.

Required parameters:

  • width, height: Chart dimensions
  • dateTime: Natal date/time (YYYY-MM-DDTHH:mm)
  • location.longitude, location.latitude, location.timezone: Natal location

Optional transit parameters (for bi-wheel chart):

  • transit.dateTime: Transit date/time (YYYY-MM-DDTHH:mm)
  • transit.timezone: Transit timezone
  • transit.longitude, transit.latitude: Transit location (defaults to natal location)

Authorizations

ApiKeyAuth

API key for authentication. Get your API key from the dashboard.

Type
API Key (header: X-Api-Key)

Parameters

Query Parameters

width*
Type
string
Required
height*
Type
string
Required
dateTime*
Type
string
Required
location.longitude*
Type
string
Required
location.latitude*
Type
string
Required
location.timezone*
Type
string
Required
transit.dateTime
Type
string
transit.timezone
Type
string
transit.longitude
Type
string
transit.latitude
Type
string

Responses

Chart rendered successfully

image/svg+xml
JSON
[
]

Playground

Authorization
Variables
Key
Value

Samples

Powered by VitePress OpenAPI

AstroAPI Documentation